%%  demo_Compressive_Sensing_Ghost_Imaging.m
 
%%   Demo for the paper:   V. Katkovnik, J. Astola
%%  "Compressive sensing computational ghost imaging", Submitted to JASA A
%%  Katkovnik V., March 2012;
 
%% The main file "demo_Compressive_Sensing_Ghost_Imaging.m "
%% implements Gaussian approximation based algorithms with Invariant and Varying  Standard Deviations;
 
%% Algorithm is used with small size test-images
 
%% The main tunable parameters of the algorithms: gamma_00 (Greek gamma in the paper), and
%%  threshold_abs defining Greek tay in the formulas (32) of the paper;
 
%% Optimal values of the parameters gamma_00 and threshold_abs are given in the files 
 
%% "results .... .mat" 
 
%% for instance, the file "results_TUT_KAPPA_10000_OPT_PARAMETERS.mat" gives PSNR and 
%% the corresponding parameters for TUT test-image and KAPPA =10000;
 
%% These results given by the tables, rows are defined by d_factor_set =[ 1     3     5    10], factors for d=z_f*d_factor,  
%% free space propagation distance;
 
%% Columns: mumu_set =[  1     2     4     8    16]- compression ratios.
 
%% The algorithms can be used with soft- and hard- thresholdings.
 
%% The cross-correlation reconstruction is given in the file demo_GHOST_CORRELATION_EST.m. 
%% The formulas are as derived in our paper for the consistent unbiased estimation.
